Summary: A graphical configuration tool for tuxpaint.
Name: tuxpaint-config
Version: 0.0.22
Release: 1%{?dist}
License: GPL
Group: Multimedia/Graphics
URL: http://www.tuxpaint.org/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: tuxpaint libunibreak
BuildRequires: fltk-devel > 1.3 libXcursor-devel libXinerama-devel libunibreak-devel libpaper-devel

%description
tuxpaint-config is a graphical tool that allows you to change Tux Paint's behavior instead of editing text-based configuration file manually.

%global debug_package %{nil}

%prep
%setup -q

%build
make PREFIX=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} CONFDIR=$RPM_BUILD_ROOT/etc/tuxpaint install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0755, root, root)
%{_bindir}/*

%defattr(-,root,root,-)
%{_docdir}/tuxpaint-config/*
%{_datadir}/man/man1/*
%{_datadir}/tuxpaint-config/images/*
%{_datadir}/applications/tuxpaint-config.desktop
%{_datadir}/pixmaps/tuxpaint-config.png
%{_datadir}/icons/hicolor/16x16/apps/tuxpaint-config.png
%{_datadir}/icons/hicolor/32x32/apps/tuxpaint-config.png
%{_datadir}/icons/hicolor/48x48/apps/tuxpaint-config.png
%{_includedir}/X11/pixmaps/tuxpaint-config.xpm

%defattr(0644, root, root)
%{_datadir}/locale/*/LC_MESSAGES/tuxpaint-config.mo

%changelog
* Sat Jul 08 2023 <dolphin6k@wmail.plala.or.jp>
- set distribution identifire to the Release tag.

* Sun Jun 25 2023 <dolphin6k@wmail.plala.or.jp>
- Version 0.0.22
